
%define name nvidia71xx
%define nversion 1.0
%define nrelease 7185
%define version %nversion

# NOTE: Please always do find | sort > filelist to find the possible
# file differences in a new driver release. See .manifest for the
# correct install locations and for the symlinks that nvidia-installer
# creates.

# Also try to keep other nvidia driver packages relatively synchronized.

# This package is currently kept backportable for >= 2006.0.

# pkg0: plain archive
# pkg1: + precompiled modules
# pkg2: + 32bit compatibility libraries
%define x86pkg_rel pkg0
%define x86_64pkg_rel pkg2

%define distsuffix plf

%define rel 1
%define release %mkrel %nrelease.%rel

%define major 1
%define module_name nvidia
%define priority 7100

%ifarch %ix86
%define packagedir NVIDIA-Linux-x86-%{nversion}-%{nrelease}-%{x86pkg_rel}
%endif
%ifarch x86_64
%define packagedir NVIDIA-Linux-x86_64-%{nversion}-%{nrelease}-%{x86_64pkg_rel}
%endif

%define xorgdir		%{_libdir}/xorg
%define ldsoconfgldir	%{_sysconfdir}/%{drivername}
%define ldsoconfglfile	ld.so.conf
%define nvidiadriversdir %{xorgdir}/modules/drivers/%{drivername}
%define nvidiaglxdir	%{xorgdir}/modules/extensions/%{drivername}
%define drivername	%{name}
%define libinstdir	%{_libdir}/%{drivername}
%define libinstdir32	%{_prefix}/lib/%{drivername}
%define misclibdir	%{libinstdir}
%define misclibdir32	%{libinstdir32}
%define bininstdir	%{libinstdir}/bin
%define xvmcdir		%{libinstdir}
%define xvmcconfigdir	%{_sysconfdir}/%{drivername}
%define maninstdir	%{_datadir}/%{drivername}
%define desktopdir	%{_datadir}/%{drivername}

%if %{mdkversion} <= 200700
%define ldsoconfgldir	%{_sysconfdir}/ld.so.conf.d/GL
%define ldsoconfglfile	%{drivername}.conf
%define drivername	nvidia_legacy
%define libinstdir	%{_libdir}/nvidia
%define libinstdir32	%{_prefix}/lib/nvidia
%define misclibdir	%{_libdir}
%define misclibdir32	%{_prefix}/lib
%define bininstdir	%{_bindir}
%define xvmcdir		%{_libdir}
%define xvmcconfigdir	%{_sysconfdir}/X11
%define maninstdir	%{_mandir}/man1
%define desktopdir	%{_datadir}/applications
%endif

%if %{mdkversion} <= 200600
%define xorgdir		%{_prefix}/X11R6/%{_lib}
%define xvmcdir		%{_prefix}/X11R6/%{_lib}
%define ldsoconfgldir	%{_sysconfdir}/ld.so.conf.d
%define nvidiadriversdir %{xorgdir}/modules/drivers
%define nvidiaglxdir	%{xorgdir}/modules/extensions/nvidia
%endif

# other packages should not require any libraries from these pkgs
# if they do, either they're broken or the lib needs to be split out
%define _provides_exceptions \\.so
%define common_requires_exceptions libGLcore\\.so\\|libnvidia-tls\\.so

%ifarch x86_64
# we catch out 32bit deps
%define _requires_exceptions %common_requires_exceptions\\|lib.*so.[0-9]*\\(([^)]\\+)\\)\\{0,1\\}$
%else
%define _requires_exceptions %common_requires_exceptions
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	NVIDIA proprietary X.org driver and libraries for old cards
License:	Freeware
Source0: 	ftp://download.nvidia.com/XFree86/Linux-x86/%{nversion}-%{nrelease}/NVIDIA-Linux-x86-%{nversion}-%{nrelease}-%{x86pkg_rel}.run
Source1: 	ftp://download.nvidia.com/XFree86/Linux-x86_64/%{nversion}-%{nrelease}/NVIDIA-Linux-x86_64-%{nversion}-%{nrelease}-%{x86_64pkg_rel}.run
URL:		http://www.nvidia.com/object/unix.html
Group:		System/Kernel and hardware
ExclusiveArch:	%ix86 x86_64
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires:	ImageMagick
Requires:	dkms-%{name} = %{version}-%{release}
%if %{mdkversion} >= 200700
Requires:	x11-server-common
Requires(post):	update-alternatives
Requires(postun): update-alternatives
%endif
%if %{mdkversion} >= 200710
Requires:	drakx-kbd-mouse-x11 >= 0.8
%endif
Provides:	NVIDIA_GLX
Provides:	nvidia_legacy-xorg = %{version}-%{release}
Obsoletes:	nvidia_legacy-xorg
Provides:	%mklibname nvidia_legacy-xorg 1
Obsoletes:	%mklibname nvidia_legacy-xorg 1
%ifarch x86_64
Provides:	libnvidia_legacy-xorg1
Obsoletes:	libnvidia_legacy-xorg1
%endif
%if %mdkversion <= 200700
Conflicts:	nvidia
%endif
Obsoletes:	nvidia_legacy <= 7184-6
Provides:	nvidia_legacy = %{nrelease}-%{rel}

%description
NVIDIA proprietary X.org graphics driver, related libraries and
configuration tools for old NVIDIA video cards.

NOTE: You must use XFdrake to configure your NVIDIA card. The
correct packages will be automatically installed if not already
present.

1. Run XFdrake as root.
2. Go to the Graphics Card list.
3. Select your card (it is usually already autoselected).
4. Answer any questions asked and then quit.

If you wish to force XFdrake to use this driver, select one of the
cards listed below instead of the real one.

If you do not want to use XFdrake, see README.manual-install.

This NVIDIA driver is to be used with these products:
- RIVA TNT cards
- RIVA/Aladdin TNT2 series cards
- Vanta series cards
- GeForce 256/DDR cards
- GeForce2 GTS/Pro/Ti/Ultra cards
- original Quadro cards
- Quadro2 Pro cards

For newer cards, the packages nvidia96xx and nvidia97xx should be
used instead.

This package is in PLF because of its non-free license.

%package -n	dkms-%{name}
Summary:	NVIDIA kernel module for old NVIDIA video cards
Group:		System/Kernel and hardware
Requires:	dkms
Requires(post):	dkms
Requires(preun): dkms
Obsoletes:	dkms-nvidia_legacy
Provides:	dkms-nvidia_legacy
%if %mdkversion <= 200700
Conflicts:	dkms-nvidia
%endif
Requires:	%{name} = %{version}-%{release}

%description -n dkms-%{name}
NVIDIA kernel module for old NVIDIA video cards. This is to be used
with the %name package.

This package is in PLF because of its non-free license.

%package	devel
Summary:	NVIDIA XvMC development library and OpenGL headers for old cards
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}
Provides:	%mklibname nvidia_legacy-xorg 1 -d
Obsoletes:	%mklibname nvidia_legacy-xorg 1 -d
%if %mdkversion <= 200700
Conflicts:	nvidia-devel
%endif
%ifarch x86_64
Provides:	libnvidia_legacy-xorg1-devel
Obsoletes:	libnvidia_legacy-xorg1-devel
%endif
Obsoletes:	nvidia_legacy-devel
Provides:	nvidia_legacy-devel

%description devel
NVIDIA XvMC static development library and OpenGL headers for old
NVIDIA video cards. This package is not required for normal use.

This package is in PLF because of its non-free license.

%prep
%setup -T -c
%ifarch %ix86
sh %{SOURCE0} --extract-only
%endif
%ifarch x86_64
sh %{SOURCE1} --extract-only
%endif
rm -rf %{packagedir}/usr/src/nv/precompiled

%if %mdkversion >= 200710
cat > README.upgrade.urpmi <<EOF
NOTE: If you are upgrading from the 'nvidia_legacy' package, you
*must* run XFdrake as per instructions in package description and
README.install.urpmi in order to reconfigure X.org for this renamed
driver.
EOF
%endif

cat > README.install.urpmi <<EOF
This driver is for old NVIDIA video cards. See package description for more
info on supported devices and alternative drivers.

IMPORTANT NOTE: Please use XFdrake to configure the driver. This PLF provided
NVIDIA driver must be configured differently than the one available from
NVIDIA.

Use XFdrake to configure X to use the correct NVIDIA driver. Any needed
packages will be automatically installed if not already present.
1. Run XFdrake as root.
2. Go to the Graphics Card list.
3. Select your card (it is usually already autoselected).
4. Answer any questions asked and then quit.

If you do not want to use XFdrake, see README.manual-install.
EOF

cat > README.manual-install <<EOF
IMPORTANT NOTE: This file describes the procedure for the manual installation
of the PLF NVIDIA driver '%name'. You can find the instructions for
the recommended automatic installation in the file 'README.install.urpmi'.

- Open %{_sysconfdir}/X11/xorg.conf and do the following changes:
  o Change the Driver to "nvidia" in the Device section
  o Make the line below the only 'glx' related line in the Module section:
%if %mdkversion >= 200710
      Load "glx"
  o Make the lines below the only 'ModulePath' lines in the Files section:
      ModulePath "%{nvidiaglxdir}"
      ModulePath "%{xorgdir}/modules"
%else
      Load "%{nvidiaglxdir}/libglx.so"
%endif
%if %mdkversion >= 200700
- Run "update-alternatives --config gl_conf" as root and select
  %{drivername}.conf.
- Run "ldconfig" as root.
%endif
EOF

%install
rm -rf %{buildroot}

# OpenGL headers
install -d -m755 %{buildroot}%{_includedir}/%{drivername}
cp -a %{packagedir}/usr/include/* %{buildroot}%{_includedir}/%{drivername}

# binaries
install -d -m755 %{buildroot}%{bininstdir}
install -m755 %{packagedir}/usr/bin/nvidia-settings %{buildroot}%{bininstdir}
install -m755 %{packagedir}/usr/bin/nvidia-bug-report.sh %{buildroot}%{bininstdir}

# dkms
install -d -m755 %{buildroot}/usr/src/%{name}-%{version}-%{release}
cp -a  %{packagedir}/usr/src/nv/* %{buildroot}/usr/src/%{name}-%{version}-%{release}
# not required, but rpmlint complains otherwise:
chmod 0755 %{buildroot}/usr/src/%{name}-%{version}-%{release}/conftest.sh

# XvMC libraries
install -d -m755 %{buildroot}%{xvmcdir}
install -m755 %{packagedir}/usr/X11R6/lib/libXvMCNVIDIA.a %{buildroot}%{xvmcdir}
install -m755 %{packagedir}/usr/X11R6/lib/libXvMCNVIDIA.so.%{nversion}.%{nrelease} %{buildroot}%{xvmcdir}
ln -s libXvMCNVIDIA.so.%{nversion}.%{nrelease} %{buildroot}%{xvmcdir}/libXvMCNVIDIA_dynamic.so.%{major}

# nvidia_drv
install -d -m755 %{buildroot}%{nvidiadriversdir}
install -m755 %{packagedir}/usr/X11R6/lib/modules/drivers/nvidia_drv.so %{buildroot}%{nvidiadriversdir}

# libglx.so
install -d -m755 %{buildroot}%{nvidiaglxdir}
install -m755 %{packagedir}/usr/X11R6/lib/modules/extensions/libglx.so.%{nversion}.%{nrelease} %{buildroot}%{nvidiaglxdir}
ln -s libglx.so.%{nversion}.%{nrelease} %{buildroot}%{nvidiaglxdir}/libglx.so

# GL libraries
install -d -m755 %{buildroot}%{libinstdir}
install -m755 %{packagedir}/usr/lib/libGL.so.%{nversion}.%{nrelease} %{buildroot}%{libinstdir}
install -m755 %{packagedir}/usr/lib/libGLcore.so.%{nversion}.%{nrelease} %{buildroot}%{libinstdir}
install -m644 %{packagedir}/usr/lib/libGL.la %{buildroot}%{libinstdir}
perl -pi -e 's,__LIBGL_PATH__,%{libinstdir},' %{buildroot}%{libinstdir}/libGL.la
ln -s libGL.so.%{nversion}.%{nrelease} %{buildroot}%{libinstdir}/libGL.so.%{major}
ln -s libGL.so.%{major} %{buildroot}%{libinstdir}/libGL.so
ln -s libGLcore.so.%{nversion}.%{nrelease} %{buildroot}%{libinstdir}/libGLcore.so.%{major}
%ifarch x86_64
install -d -m755 %{buildroot}%{libinstdir32}
install -m755 %{packagedir}/usr/lib32/libGL.so.%{nversion}.%{nrelease} %{buildroot}%{libinstdir32}
install -m755 %{packagedir}/usr/lib32/libGLcore.so.%{nversion}.%{nrelease} %{buildroot}%{libinstdir32}
install -m644 %{packagedir}/usr/lib32/libGL.la %{buildroot}%{libinstdir32}
perl -pi -e 's,__LIBGL_PATH__,%{libinstdir32},' %{buildroot}%{libinstdir32}/libGL.la
ln -s libGL.so.%{nversion}.%{nrelease} %{buildroot}%{libinstdir32}/libGL.so.%{major}
ln -s libGL.so.%{major} %{buildroot}%{libinstdir32}/libGL.so
ln -s libGLcore.so.%{nversion}.%{nrelease} %{buildroot}%{libinstdir32}/libGLcore.so.%{major}
%endif

# other libraries
install -d -m755 %{buildroot}%{misclibdir}/tls
install -m755 %{packagedir}/usr/lib/libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{misclibdir}
install -m755 %{packagedir}/usr/lib/tls/libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{misclibdir}/tls
ln -s libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{misclibdir}/libnvidia-tls.so.%{major}
ln -s libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{misclibdir}/tls/libnvidia-tls.so.%{major}
%ifarch x86_64
install -d -m755 %{buildroot}%{misclibdir32}/tls
install -m755 %{packagedir}/usr/lib32/libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{misclibdir32}
install -m755 %{packagedir}/usr/lib32/tls/libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{misclibdir32}/tls
ln -s libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{misclibdir32}/libnvidia-tls.so.%{major}
ln -s libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{misclibdir32}/tls/libnvidia-tls.so.%{major}
%endif

# ld.so.conf.d
install -d -m755 %{buildroot}%{ldsoconfgldir}
echo "%{libinstdir}" > %{buildroot}%{ldsoconfgldir}/%{ldsoconfglfile}
%ifarch x86_64
echo "%{libinstdir32}" >> %{buildroot}%{ldsoconfgldir}/%{ldsoconfglfile}
%endif

# modprobe.conf
%if %mdkversion >= 200710
echo "alias %{module_name} %{drivername}" > %{buildroot}%{_sysconfdir}/%{drivername}/modprobe.conf
%endif

# XvMCConfig
install -d m755 %{buildroot}%{xvmcconfigdir}
echo "libXvMCNVIDIA_dynamic.so.%{major}" > %{buildroot}%{xvmcconfigdir}/XvMCConfig

# menus
%if %mdkversion <= 200600
install -d -m755 %buildroot/%{_menudir}
cat <<EOF >%buildroot/%{_menudir}/%name
?package(%{name}):command="%{_bindir}/nvidia-settings" \
                  icon=%{drivername}-settings.png \
                  needs="x11" \
                  section="System/Configuration/Hardware" \
                  title="NVIDIA Settings"\
                  longtitle="Configure NVIDIA X driver (%name)" \
                  xdg="true"
EOF
%endif

install -d -m755 %{buildroot}%{desktopdir}
cat > %{buildroot}%{desktopdir}/mandriva-nvidia-settings.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=NVIDIA Settings
Comment=Configure NVIDIA X driver (%name)
Exec=%{_bindir}/nvidia-settings
Icon=%{drivername}-settings
Terminal=false
Type=Application
Categories=Settings;HardwareSettings;X-MandrivaLinux-System-Configuration;
EOF

# icons
install -d -m755 %buildroot/%{_miconsdir} %buildroot/%{_iconsdir} %buildroot/%{_liconsdir}
convert %{packagedir}/usr/share/pixmaps/nvidia-settings.png -resize 16x16 %buildroot/%{_miconsdir}/%{drivername}-settings.png
convert %{packagedir}/usr/share/pixmaps/nvidia-settings.png -resize 32x32 %buildroot/%{_iconsdir}/%{drivername}-settings.png
install -m644 %{packagedir}/usr/share/pixmaps/nvidia-settings.png %buildroot/%{_liconsdir}/%{drivername}-settings.png

# dkms
cat > %{buildroot}/usr/src/%{name}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{name}"
PACKAGE_VERSION="%{version}-%{release}"
DEST_MODULE_LOCATION[0]="/kernel/drivers/video"
BUILT_MODULE_NAME[0]="%{module_name}"
%if %mdkversion >= 200710
DEST_MODULE_NAME[0]="%{drivername}"
%endif
MAKE[0]="make -f makefile KERNEL_SOURCES=\${kernel_source_dir}; make -f Makefile SYSSRC=\${kernel_source_dir} module"
AUTOINSTALL="YES"
EOF

%clean
rm -rf %{buildroot}

# We look for non-rpm installation and uninstall it
%pre
if [[ -x /usr/bin/nvidia-installer ]]; then
	/usr/bin/nvidia-installer --uninstall -s &>/dev/null || true
	rm -f /usr/bin/nvidia-installer
fi

# Using posttrans fixes upgrade (rpm removed
# %{xorgdir}/modules/drivers/nvidia_drv.so after the script had run)
%posttrans
%if %mdkversion >= 200710
[ -L %{_sysconfdir}/modprobe.d/nvidia.conf ] || rm -f %{_sysconfdir}/modprobe.d/nvidia.conf
%endif

%if %mdkversion >= 200700
[ -L %{xorgdir}/modules/drivers/nvidia_drv.so ] || rm -f %{xorgdir}/modules/drivers/nvidia_drv.so
%{_sbindir}/update-alternatives \
	--install %{_sysconfdir}/ld.so.conf.d/GL.conf gl_conf %{ldsoconfgldir}/%{ldsoconfglfile} %{priority} \
	--slave %{xorgdir}/modules/drivers/nvidia_drv.so nvidia_drv %{nvidiadriversdir}/nvidia_drv.so \
%if %mdkversion >= 200710
	--slave %{_sysconfdir}/modprobe.d/nvidia.conf nvidia_modconf %{_sysconfdir}/%{drivername}/modprobe.conf \
	--slave %{_sysconfdir}/X11/XvMCConfig xvmcconfig %{xvmcconfigdir}/XvMCConfig \
	--slave %{_datadir}/applications/mandriva-nvidia-settings.desktop nvidia_desktop %{desktopdir}/mandriva-nvidia-settings.desktop \
	--slave %{_bindir}/nvidia-settings nvidia_settings %{bininstdir}/nvidia-settings \
	--slave %{_bindir}/nvidia-bug-report.sh nvidia_bug_report %{bininstdir}/nvidia-bug-report.sh
%endif

# Override from manual mode in case of file absence
if [ ! -f %{_sysconfdir}/ld.so.conf.d/GL.conf ]; then
	%{_sbindir}/update-alternatives --auto gl_conf
fi
%endif
/sbin/ldconfig
%{update_menus}

%postun
%if %mdkversion >= 200700
# We check file instead of $0 to allow easy migration to another scheme later
if [ ! -f %{ldsoconfgldir}/%{ldsoconfglfile} ]; then
	%{_sbindir}/update-alternatives --remove gl_conf %{ldsoconfgldir}/%{ldsoconfglfile}
# Override from manual mode in case of file absence
	if [ ! -f %{_sysconfdir}/ld.so.conf.d/GL.conf ]; then
		%{_sbindir}/update-alternatives --auto gl_conf
	fi
fi
%endif
/sbin/ldconfig
%{clean_menus}

# posttrans for graceful handling of package rename
%posttrans -n dkms-%{name}
dkms add     -m %{name} -v %{version}-%{release}
dkms build   -m %{name} -v %{version}-%{release}
dkms install -m %{name} -v %{version}-%{release}

# rmmod any old driver if present and not in use (e.g. by X)
rmmod nvidia nvidia97xx nvidia96xx nvidia71xx > /dev/null 2>&1 || true

%preun -n dkms-%{name}
dkms remove -m %{name} -v %{version}-%{release} --all
true

%files
%defattr(-,root,root)

# package documentation
%doc %{packagedir}/usr/share/doc/NVIDIA_Changelog
%doc %{packagedir}/usr/share/doc/nvidia-settings-user-guide.txt
%doc %{packagedir}/usr/share/doc/README
%doc %{packagedir}/usr/share/doc/XF86Config.sample
%doc %{packagedir}/LICENSE
%doc README.install.urpmi
%doc README.manual-install
%if %mdkversion >= 200710
%doc README.upgrade.urpmi
%endif

# alternative configs and binaries
%if %mdkversion <= 200700
%config(noreplace) %{_sysconfdir}/X11/XvMCConfig
%{ldsoconfgldir}/%{drivername}.conf
%{_bindir}/nvidia-settings
%{_bindir}/nvidia-bug-report.sh
%else
%{_sysconfdir}/%{drivername}
%{bininstdir}
%endif

# nvidia_drv.so
%if %mdkversion >= 200700
%dir %{nvidiadriversdir}
%endif
%{nvidiadriversdir}/nvidia_drv.so

# libglx.so
%dir %{nvidiaglxdir}
%{nvidiaglxdir}/libglx.so*

# icons
%{_miconsdir}/%{drivername}-settings.png
%{_iconsdir}/%{drivername}-settings.png
%{_liconsdir}/%{drivername}-settings.png

# menus
%if %mdkversion <= 200600
%{_menudir}/%{name}
%endif
%if %mdkversion <= 200700
%{_datadir}/applications/mandriva-nvidia-settings.desktop
%else
%{_datadir}/%{name}
%endif

# native libs
%dir %{libinstdir}
%{libinstdir}/*.so.*
%dir %{misclibdir}/tls
%{misclibdir}/tls/*.so.*
%if %mdkversion <= 200700
%{_libdir}/libnvidia*.so.*
%{xvmcdir}/libXvMC*.so.*
%endif

# 32bit libs
%ifarch x86_64
%dir %{libinstdir32}
%{libinstdir32}/*.so.*
%dir %{misclibdir32}/tls
%{misclibdir32}/tls/*.so.*
%if %mdkversion <= 200700
%{misclibdir32}/*.so.*
%endif
%endif

%files devel
%defattr(-,root,root)
%doc %{packagedir}/LICENSE
%{_includedir}/%{drivername}
%{xvmcdir}/libXvMCNVIDIA.a
%{libinstdir}/*.so
%{libinstdir}/*.la
%ifarch x86_64
%{libinstdir32}/*.la
%{libinstdir32}/*.so
%endif

%files -n dkms-%{name}
%defattr(-,root,root)
%doc %{packagedir}/LICENSE
/usr/src/%{name}-%{version}-%{release}

%changelog
* Fri Apr 20 2007 Anssi Hannula <anssi@zarb.org> 1.0-7185.1plf2008.0
- 7185
  o improved interaction with newer Linux kernels
  o improved compatibility with newer versions of X.Org

* Sun Mar 18 2007 Anssi Hannula <anssi@zarb.org> 1.0-7184.10plf2007.1
- fix obsoletes

* Tue Mar 13 2007 Anssi Hannula <anssi@zarb.org> 1.0-7184.9plf2007.1
- obsolete nvidia_legacy
- fix documentation of manual installation

* Thu Mar 08 2007 Anssi Hannula <anssi@zarb.org> 1.0-7184.8plf2007.1
- add documentation for the manual installation procedure
- fix backportability

* Sat Mar 03 2007 Anssi Hannula <anssi@zarb.org> 1.0-7184.7plf2007.1
- require new enough XFdrake on cooker
- add a note about running XFdrake on upgrade

* Sat Mar 03 2007 Anssi Hannula <anssi@zarb.org> 1.0-7184.6plf2007.1
- rename to nvidia71xx
- raise alternatives priority
- new package versioning scheme
- adapt for Mandriva 2007.1 (backportability to 2006/2007 is maintained)
- allow co-installation with nvidia96xx and nvidia97xx
- simplify documentation
- force zero exit status for rpm preun script

* Thu Dec 28 2006 Anssi Hannula <anssi@zarb.org> 7184-5plf2007.1
- update descriptions, summaries, and README.install.urpmi
- sync changes from nvidia pacage

* Sun Sep 24 2006 Anssi Hannula <anssi@zarb.org> 7184-4plf2007.0
- raise alternatives priority on 2007.0
- make sure gl_conf is not in invalid state after remove on 2007.0
- update doc in README.install.urpmi
- use nvidia_legacy/ for glx.so only on 2007.0
- fix stale symlink check of gl_conf on 2007.0

* Sat Sep 23 2006 Anssi Hannula <anssi@zarb.org> 7184-3plf2007.0
- fix upgrade

* Thu Sep 21 2006 Anssi Hannula <anssi@zarb.org> 7184-2plf2007.0
- use alternatives for 2007.0
- drop the pre-6.9 nvidia_drv.o
- provide /etc/X11/XvMCConfig
- add doc to -devel and dkms pkgs
- move glx.so from nvidia/ to nvidia_legacy/
- update doc in description and README.install.urpmi
- standardize PLF reason

* Thu Sep 14 2006 Anssi Hannula <anssi@zarb.org> 7184-1plf2007.0
- 7184
- fix menu entry

* Sat Jul 22 2006 Anssi Hannula <anssi@zarb.org> 7182-4plf2007.0
- fix libdir in libGL.la (João Xavier)
- don't require drakxtools not available on 2006.0 official (#133)

* Mon Jul 17 2006 Anssi Hannula <anssi@zarb.org> 7182-3plf2007.0
- fail silently while uninstalling previous non-rpm installation

* Sun Jul 16 2006 Anssi Hannula <anssi@zarb.org> 7182-2plf2007.0
- merge to a new three-package packaging scheme
  * dkms-nvidia_legacy: kernel module
  * nvidia_legacy: X.org driver and libraries
  * nvidia_legacy-devel: development libraries and headers

* Mon Jun 26 2006 Anssi Hannula <anssi@zarb.org> 7182-1plf2007.0
- 7182
- drop patches, upstream
- use provided icon
- xdg menu
- fix %%post so that the module is actually installed

* Wed Jun 14 2006 Anssi Hannula <anssi@zarb.org> 7174-8plf2007.0
- patch5: fix conftest.sh for new kernels
- fix missing backslashes from _provides_exceptions

* Sat Jun 10 2006 Anssi Hannula <anssi@zarb.org> 7174-7plf2007.0
- drop unnecessary provides
- add libGL to _provides_exceptions

* Mon Jun 05 2006 Anssi Hannula <anssi@zarb.org> 7174-6plf
- requires x11-server-common on cooker

* Wed May 24 2006 Anssi Hannula <anssi@zarb.org> 7174-5plf
- fix paths for xorg 7.0
- do not modprobe in %%post

* Fri Apr  7 2006 Anssi Hannula <anssi@zarb.org> 7174-4plf
- add nvidia conflicts to library packages too
- add requires_exceptions so that urpmi doesn't offer the newer nvidia

* Mon Jan  2 2006 Anssi Hannula <anssi@zarb.org> 7174-3plf
- requires strictly the correct library

* Thu Dec 29 2005 Anssi Hannula <anssi@zarb.org> 7174-2plf
- fix description typos
- dkms-nvidia_legacy requires nvidia_legacy-xorg
- nvidia_legacy-xorg obsoletes nvidia_legacy

* Sun Dec 25 2005 Anssi Hannula <anssi@zarb.org> 7174-1plf
- initial PLF release based on nvidia.spec

